Bug 32871 - Обновить pcsc-lite до 1.8.18
: Обновить pcsc-lite до 1.8.18
Status: CLOSED FIXED
: Branch p7
(All bugs in Branch p7/pcsc-lite)
: не указана
: all Linux
: P3 normal
Assigned To:
:
:
:
: 31292
:
  Show dependency tree
 
Reported: 2016-12-09 16:25 by
Modified: 2016-12-09 20:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2016-12-09 16:25:42
На версии 1.8.8 получаю
$ PCSCLITE_CSOCK_NAME=pcscd-lav.comm strace -y -f pcsc_scan
stat("pcscd-lav.comm", {st_mode=S_IFSOCK|0600, st_size=0, ...}) = 0
socket(PF_FILE, SOCK_STREAM, 0)         = 4
connect(4, {sa_family=AF_FILE, path="pcscd-lav.comm"}, 17) = 0
ioctl(4<socket:[29551]>, FIONBIO, [1])  = 0
select(5, NULL, [4<socket:[29551]>], NULL, NULL) = 1 (out [4])
sendto(4, "\f\0\0\0\21\0\0\0", 8, MSG_NOSIGNAL, NULL, 0) = 8
select(5, NULL, [4<socket:[29551]>], NULL, NULL) = 1 (out [4])
sendto(4, "\4\0\0\0\2\0\0\0\0\0\0\0", 12, MSG_NOSIGNAL, NULL, 0) = 12
select(5, [4<socket:[29551]>], NULL, NULL, NULL) = 1 (in [4])
read(4<socket:[29551]>, "\4\0\0\0\3\0\0\0\35\0\20\200", 12) = 12
write(1</dev/pts/8>, "\33[31mSCardEstablishContext: Serv"...,
55SCardEstablishContext: Service not available.

При этом на версии 1.8.18, собранной в p7, ошибки нет и я вижу токены.

Я уже поспешил и отправил 1.8.18 для p7, но учитывая
https://bugzilla.altlinux.org/show_bug.cgi?id=31292#c5
вы уж решите, как там и что с партнёрами тестировать :)
------- Comment #1 From 2016-12-09 20:31:25 -------
Принято в репозиторий:
2016-12-09 Vitaly Lipatov <lav at altlinux.ru> 1.8.18-alt0.M70P.1 
- backport to ALTLinux p7 (by rpmbph script)